Bug 57759 - Grub doesn't like reiserfs partitions
Grub doesn't like reiserfs partitions
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: grub (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-21 03:46 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-21 03:47:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-21 03:46:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
The grub version contained in RedHat 7.2 and also in rawhide will not work
with reiserfs partitions without modification.  I found a patch on the
internet which has been included in grub's CVS tree now....it is as follows:

diff -urN grub-0.90-orig/stage2/fsys_reiserfs.c
grub-0.90/stage2/fsys_reiserfs.c
--- grub-0.90-orig/stage2/fsys_reiserfs.c       Fri Feb  2 07:31:03 2001
+++ grub-0.90/stage2/fsys_reiserfs.c    Fri Dec 21 02:11:15 2001
@@ -620,9 +620,7 @@
   if (super.s_journal_block != 0)
     {
       INFO->journal_block = super.s_journal_block;
-      INFO->journal_block_count = super.s_journal_block_count;
-      if (INFO->journal_block_count == 0)
-       INFO->journal_block_count = super.s_orig_journal_size;
+      INFO->journal_block_count = super.s_orig_journal_size;
       if (! is_power_of_two (INFO->journal_block_count))
        return 0;

With that patch in everything works fine, without the patch grub will say
it can't mount the partition when installing grub to the boot record and
when running root (hd0,0) it will tell you that while the partition type is
0x83 that the filesystem is not supported, with the patch it just installs
and boots with no problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Do not patch grub
2. Try to install grub
3. Watch for the error message
	

Actual Results:  Grub fails installing to the boot record without patching

Expected Results:  Grub should work perfectly with reiserfs (which it does
with the patch)

Additional info:
Comment 1 Jeremy Katz 2002-01-02 11:42:02 EST
Patches from grub cvs included for the next build of the package (will be -15 or
later)

Note You need to log in before you can comment on or make changes to this bug.